import { CallRequest, PythUpdate } from "./filler";
export declare const MULTICALL3_ADDRESS = "0xcA11bde05977b3631167028862bE2a173976CA11";
export declare const MULTICALL3_ABI: readonly [{
    readonly inputs: readonly [{
        readonly components: readonly [{
            readonly name: "target";
            readonly type: "address";
        }, {
            readonly name: "allowFailure";
            readonly type: "bool";
        }, {
            readonly name: "value";
            readonly type: "uint256";
        }, {
            readonly name: "callData";
            readonly type: "bytes";
        }];
        readonly name: "calls";
        readonly type: "tuple[]";
    }];
    readonly name: "aggregate3Value";
    readonly outputs: readonly [{
        readonly components: readonly [{
            readonly name: "success";
            readonly type: "bool";
        }, {
            readonly name: "returnData";
            readonly type: "bytes";
        }];
        readonly name: "returnData";
        readonly type: "tuple[]";
    }];
    readonly stateMutability: "payable";
    readonly type: "function";
}];
/**
 * Bundle multiple calls using Multicall3. This bundler will change the msg.sender of the calls to the
 * Multicall3 contract and this might affect the result of the calls.
 */
export declare function multicall3Bundler(pythUpdate: PythUpdate, call: CallRequest): CallRequest;
//# sourceMappingURL=multicall3-bundler.d.ts.map